/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.0.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package peertube-api.models

import peertube-api.models.Account
import peertube-api.models.VideoChannel

import com.squareup.moshi.Json
/**
 * 
 * @param id 
 * @param username 
 * @param email 
 * @param displayNSFW 
 * @param autoPlayVideo 
 * @param role The user role (Admin = 0, Moderator = 1, User = 2)
 * @param roleLabel 
 * @param videoQuota 
 * @param videoQuotaDaily 
 * @param createdAt 
 * @param account 
 * @param videoChannels 
 */

data class User (
    @Json(name = "id")
    val id: java.math.BigDecimal? = null,
    @Json(name = "username")
    val username: kotlin.String? = null,
    @Json(name = "email")
    val email: kotlin.String? = null,
    @Json(name = "displayNSFW")
    val displayNSFW: kotlin.Boolean? = null,
    @Json(name = "autoPlayVideo")
    val autoPlayVideo: kotlin.Boolean? = null,
    /* The user role (Admin = 0, Moderator = 1, User = 2) */
    @Json(name = "role")
    val role: User.Role? = null,
    @Json(name = "roleLabel")
    val roleLabel: User.RoleLabel? = null,
    @Json(name = "videoQuota")
    val videoQuota: java.math.BigDecimal? = null,
    @Json(name = "videoQuotaDaily")
    val videoQuotaDaily: java.math.BigDecimal? = null,
    @Json(name = "createdAt")
    val createdAt: kotlin.String? = null,
    @Json(name = "account")
    val account: Account? = null,
    @Json(name = "videoChannels")
    val videoChannels: kotlin.Array<VideoChannel>? = null
) 


{
    /**
    * The user role (Admin = 0, Moderator = 1, User = 2)
    * Values: _0,_1,_2
    */
    
    enum class Role(val value: kotlin.Int){
        @Json(name = 0) _0(0),
        @Json(name = 1) _1(1),
        @Json(name = 2) _2(2);
    }
    /**
    * 
    * Values: user,moderator,administrator
    */
    
    enum class RoleLabel(val value: kotlin.String){
        @Json(name = "User") user("User"),
        @Json(name = "Moderator") moderator("Moderator"),
        @Json(name = "Administrator") administrator("Administrator");
    }
}

